<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

if (!class_exists('At_WC_Providers_List_Table')) {
    require_once(AT_WC_ATARA_PATH . 'includes/admin/class-at-wc-atara-providers-table.php');
}

if (isset($_GET['updated'])) {
    add_settings_error('at_wc_atara_messages', 'at_wc_atara', __("Service provider created", 'atarapay-woo'), 'updated');
} else if (isset($_GET['error'])) {
    add_settings_error('at_wc_atara_messages', 'at_wc_atara', esc_html__($_GET['error'], 'atarapay-woo'));
}

$At_WC_Atara_Service_Provider = new At_WC_Atara_Service_Provider();

$nonce = wp_create_nonce("at_wc_atara_service_provider");
$banks = $At_WC_Atara_Service_Provider->get_banks();
?>

<div class="wrap at-wc-atara-settings">
    <h2><?php esc_html_e('AtaraPay', 'at_wc_atara'); ?></h2>

    <?php settings_errors('at_wc_atara_messages'); ?>

    <form action='admin-post.php' method="post">
        <input type="hidden" name="action" value="at_wc_atara_save_service_provider">
        <input type="hidden" name="_nonce" value="<?php echo $nonce; ?>" />
        <input type="hidden" name="_wp_http_referer" value="/wp-admin/admin.php?page=atarapay">

        <h3>Create Service Provider</h3>
        <p style="color: #800000"><strong>Note: </strong>If you registered as an AtaraPay Marketplace Operator, ensure the phone numbers of service providers are only those of registered AtaraPay sellers that are associated with your account.</p>
        <table class="form-table">
            <tbody>
                <tr valign="top">
                    <th scope="row">Bank Name</th>
                    <td>
                        <select required name="bank_name">
                            <option value=""> <?php esc_html_e('Select Bank...', 'atarapay-woo'); ?> </option>
                            <?php
                            foreach ($banks as $bank) {
                                $name = $bank['name'];
                                $bank = json_encode($bank);
                                echo "<option value='{$bank}'>{$name}</option>";
                            }
                            ?>
                        </select>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row">Bank Account Name</th>
                    <td><input type="text" name="bank_account_name" class="input-field" required value="<?php echo (isset($_GET['bank_account_name']) ? $_GET['bank_account_name'] : '') ?>" /></td>
                </tr>

                <tr valign="top">
                    <th scope="row">Bank Account Number</th>
                    <td><input type="text" name="bank_account_number" class="input-field" required value="<?php echo (isset($_GET['bank_account_number']) ? $_GET['bank_account_number'] : '') ?>" /></td>
                </tr>

                <tr valign="top">
                    <th scope="row">Email Address</th>
                    <td><input type="email" name="email" class="input-field" required value="<?php echo (isset($_GET['email']) ? $_GET['email'] : '') ?>" /></td>
                </tr>

                <tr valign="top">
                    <th scope="row">Phone Number<br/><small>Enter the international code before the number. For example, +2348031234567.</small></th>
                    <td><input type="text" name="phone" class="input-field" required value="<?php echo (isset($_GET['phone']) ? $_GET['phone'] : '') ?>" /></td>
                </tr>

                <tr valign="top">
                    <th scope="row">First Name</th>
                    <td><input type="text" name="firstname" class="input-field" required value="<?php echo (isset($_GET['firstname']) ? $_GET['firstname'] : '') ?>" /></td>
                </tr>

                <tr valign="top">
                    <th scope="row">Last Name</th>
                    <td><input type="text" name="lastname" class="input-field" required value="<?php echo (isset($_GET['lastname']) ? $_GET['lastname'] : '') ?>" /></td>
                </tr>
            </tbody>
        </table>
        <?php submit_button("Create Service Provider"); ?>
    </form>
</div>


<div class="wrap">
    <h2><?php esc_html_e('Service Providers', 'at_wc_atara'); ?></h2>
    <form id="form-list" method="post">
        <input type="hidden" name="page" value="at_wc_atara" />
        <?php
        $list_table = new At_WC_Providers_List_Table();
        $list_table->prepare_items();
        $list_table->display();
        ?>
    </form>
</div>
